# Class PageSize

#### Hierarchy

- XmlComponent
  - PageSize

- Defined in file/document/body/section-properties/properties/page-size.ts:27

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new PageSize(width, height, orientation): PageSize

- #### Parameters

  - ##### width: number | `${number}mm` | `${number}cm` | `${number}in` | `${number}pt` | `${number}pc` | `${number}pi`

  - ##### height: number | `${number}mm` | `${number}cm` | `${number}in` | `${number}pt` | `${number}pc` | `${number}pi`

  - ##### orientation: PageOrientation

  #### Returns PageSize

  Overrides XmlComponent.constructor

  - Defined in file/document/body/section-properties/properties/page-size.ts:28

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc